Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.util
Class EnglishEnums

    java.lang.Object
      org.apache.logging.log4j.util.EnglishEnums

    public final class EnglishEnums

extends Object

Consider this class private.

Helps convert English Strings to English Enum values.

Enum name arguments are converted internally to upper case with the ENGLISH locale to avoid problems on the Turkish locale. Do not use with Turkish enum values.

Method Summary
`static
`<T extends Enum<T>> T`
` | `valueOf(Class<T> enumType, String name)` Returns the Result for the given string.
`static
`<T extends Enum<T>> T`
` | `valueOf(Class<T> enumType, String name, T defaultValue)` Returns an enum value for the given string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### valueOf

    public static <T extends Enum<T>> T valueOf(Class<T> enumType,
                                                String name)

  Returns the Result for the given string.

  The `name` is converted internally to upper case with the ENGLISH locale to avoid problems on the Turkish locale. Do not use with Turkish enum values.

  Type Parameters:
    `T` - The type of the enum.
  Parameters:
    `enumType` - The Class of the enum.
    `name` - The enum name, case-insensitive. If null, returns `defaultValue`.
  Returns:
    an enum value or null if `name` is null.

### valueOf

    public static <T extends Enum<T>> T valueOf(Class<T> enumType,
                                                String name,
                                                T defaultValue)

  Returns an enum value for the given string.

  The `name` is converted internally to upper case with the ENGLISH locale to avoid problems on the Turkish locale. Do not use with Turkish enum values.

  Type Parameters:
    `T` - The type of the enum.
  Parameters:
    `name` - The enum name, case-insensitive. If null, returns `defaultValue`.
    `enumType` - The Class of the enum.
    `defaultValue` - the enum value to return if `name` is null.
  Returns:
    an enum value or `defaultValue` if `name` is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.